#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	minicom
Version		:	2.9
Release		:	17.2.0.rel%{?dist}
Summary		:	A text-based modem control and terminal emulation program

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://salsa.debian.org/minicom-team/minicom

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	ncurses-devel

#-----------------------------------------------------------------------------
%description
Minicom is a simple text-based modem control and
terminal emulation program somewhat similar to
MSDOS Telix.
Minicom includes a dialing directory, full ANSI and
VT100 emulation, an (external) scripting language,
and other features.

#-----------------------------------------------------------------------------
%files			-f  %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
	--localstatedir=%{_localstatedir}/run/%{name}	\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
